HUGO-CONVERT-TOYAML(1)Sep(2020)

Hugo 0.75.0 Hugo Manual

NAME

hugo-convert-toYAML - Convert front matter to YAML

SYNOPSIS

hugo convert toYAML [flags]

DESCRIPTION

toYAML converts all front matter in the content directory to use YAML for the front matter.

OPTIONS

-h, --help[=false]
    help for toYAML

OPTIONS INHERITED FROM PARENT COMMANDS

--config=""
    config file (default is path/config.yaml|json|toml)

--configDir="config"
    config dir

--debug[=false]
    debug output

-e, --environment=""
    build environment

--ignoreVendor[=false]
    ignores any _vendor directory

--ignoreVendorPaths=""
    ignores any _vendor for module paths matching the given Glob pattern

--log[=false]
    enable Logging

--logFile=""
    log File path (if set, logging enabled automatically)

-o, --output=""
    filesystem path to write files to

--quiet[=false]
    build in quiet mode

-s, --source=""
    filesystem path to read files relative from

--themesDir=""
    filesystem path to themes directory

--unsafe[=false]
    enable less safe operations, please backup first

-v, --verbose[=false]
    verbose output

--verboseLog[=false]
    verbose logging

SEE ALSO

hugo-convert(1)